check_backuppc(8)

NAME
check_backuppc - A Nagios plugin to monitor BackupPC

SYNOPSIS
check_backuppc [options]

DESCRIPTION
check_backuppc is a nagios plugin that reports on the status of BackupPC. By default, it monitors both archive and backup hosts for errors.

OPTIONS

-a, --archive-only
    Only check the status of archive hosts.

-b, --backup-only
    Only check the status of non-archive hosts.

-s, --status-only
    Only check the status of the backups, omit connection failures that are less than $Conf{FullPeriod} old.

-H, --hostname hostname
    Only check the specified host. Uses hostnames that BackupPC is configured to use, can be specified multiple times.

-x, --exclude hostname
    Do not check the specified host. Uses hostnames that BackupPC is configured to use, can be specified multiple times.

-w, --warning age
    The days old at which a failure is considered a warning, default 1.

-c, --critical age
    The days old at which a failure is considered critical, default 8.

-r, --reduce count
    The maximum number of failed hosts for which to reduce reported severity, default 0.

-h, --help
    Show summary of options.

NOTES
This plugin must be run on the same host and as the same user as BackupPC. An archive host only takes on a reported type of archive after its first archive run.

EXAMPLES

/usr/local/lib/nagios/plugins/check_backuppc -r1 -w3 -c8 -b -x otter
Check the status of all backup hosts except "otter". Warn if a failed backup is older than three days old, return critical if a failure is older than eight days old unless there is only a single failure. In that case, warn if the single failed backup is older than eight days.

AUTHOR
Seneca Cunningham <tetragon@users.sourceforge.net>

SEE ALSO
sudo(8). backuppc(8).